Package ru.bitel.common.client

# Class LookAndFeelUtils

java.lang.Object
ru.bitel.common.client.LookAndFeelUtils

public class LookAndFeelUtils extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `LookAndFeelUtils.LookAndFeelTheme`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static AtomicInteger`
  `BUTTON_HEIGHT`
  `static AtomicInteger`
  `COMBO_HEIGHT`
  `static final int`
  `DEFAULT_HEIGHT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LookAndFeelUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addLookAndFeelTheme(LookAndFeelUtils.LookAndFeelTheme t)`
  `static LookAndFeelUtils.LookAndFeelTheme`
  `getCurrent()`
  `static List<LookAndFeelUtils.LookAndFeelTheme>`
  `getLookAndFeelThemeList()`
  `static List<LookAndFeelUtils.LookAndFeelTheme>`
  `getLookAndFeelThemeList(Comparator<LookAndFeelUtils.LookAndFeelTheme> comp)`
  `static LookAndFeelUtils.LookAndFeelTheme`
  `getTheme(String lafName, String themeName)`
  `static void`
  `main(String[] args)`
  `static void`
  `minFontSize(int size)`
  `static void`
  `setFont(Font myFont)`
  `static void`
  `setFontSize(float size, FontUIResource defaultFont)`
  `static void`
  `setFontSize(String key, float size, FontUIResource defaultFont)`
  `static void`
  `setStyle(String key, int style)`
  `static void`
  `setTheme(String lafName, String themeName)`
  `static void`
  `setTheme(String lafName, String themeName, Component component)`
  `static void`
  `setTheme(LookAndFeelUtils.LookAndFeelTheme t)`
  `static void`
  `setTheme(LookAndFeelUtils.LookAndFeelTheme t, Component component)`
  `static void`
  `updateOnChangeLookAndFeel(Container container)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_HEIGHT

    public static final int DEFAULT_HEIGHT
    See Also:
      - Constant Field Values

  - ### BUTTON_HEIGHT

    public static AtomicInteger BUTTON_HEIGHT

  - ### COMBO_HEIGHT

    public static AtomicInteger COMBO_HEIGHT

- ## Constructor Details

  - ### LookAndFeelUtils

    public LookAndFeelUtils()

- ## Method Details

  - ### addLookAndFeelTheme

    public static void addLookAndFeelTheme(LookAndFeelUtils.LookAndFeelTheme t)

  - ### getLookAndFeelThemeList

    public static List<LookAndFeelUtils.LookAndFeelTheme> getLookAndFeelThemeList()

  - ### getLookAndFeelThemeList

    public static List<LookAndFeelUtils.LookAndFeelTheme> getLookAndFeelThemeList(Comparator<LookAndFeelUtils.LookAndFeelTheme> comp)

  - ### setTheme

    public static void setTheme(LookAndFeelUtils.LookAndFeelTheme t) throws Exception
    Throws:
      `Exception`

  - ### setTheme

    public static void setTheme(LookAndFeelUtils.LookAndFeelTheme t, Component component) throws Exception
    Throws:
      `Exception`

  - ### getTheme

    public static LookAndFeelUtils.LookAndFeelTheme getTheme(String lafName, String themeName)

  - ### setTheme

    public static void setTheme(String lafName, String themeName, Component component) throws Exception
    Throws:
      `Exception`

  - ### setTheme

    public static void setTheme(String lafName, String themeName) throws Exception
    Throws:
      `Exception`

  - ### getCurrent

    public static LookAndFeelUtils.LookAndFeelTheme getCurrent()

  - ### main

    public static void main(String[] args)

  - ### setFont

    public static void setFont(Font myFont)

  - ### setFontSize

    public static void setFontSize(float size, FontUIResource defaultFont)

  - ### setFontSize

    public static void setFontSize(String key, float size, FontUIResource defaultFont)

  - ### setStyle

    public static void setStyle(String key, int style)

  - ### minFontSize

    public static void minFontSize(int size)

  - ### updateOnChangeLookAndFeel

    public static void updateOnChangeLookAndFeel(Container container)